require 'netguru/middleware/block'

Rails.application.configure do
  config.cache_classes = true
  config.eager_load = true
  config.consider_all_requests_local = false
  config.action_controller.perform_caching = true
  config.force_ssl = true
  config.log_level = :debug
  config.action_view.logger = nil
  config.i18n.fallbacks = true
  config.active_support.deprecation = :notify
  config.log_formatter = ::Logger::Formatter.new
  config.active_record.dump_schema_after_migration = false

  config.serve_static_files = false
  config.assets.compress = false
  config.assets.compile = true
  config.assets.digest = true
  config.assets.version = '1.0'

  config.action_mailer.default_url_options = { host: ENV.fetch('DOMAIN_NAME') }
  config.action_mailer.delivery_method = :smtp
  config.action_mailer.perform_deliveries = true
  config.action_mailer.raise_delivery_errors = true
  config.action_mailer.smtp_settings = {}
end
